<div class="view">
  <form [formGroup]="clientDocGroup" id="form" (change)="onChange()">   
    <div>
      <div class="inline label">
        <mat-label>Is the client referral ready? </mat-label>
      </div>
      <div  class="inline">
                    <mat-form-field appearance="outline" >    
                        <mat-select formControlName="isClientRefReady" (selectionChange)="isClientRefReadyChange($event)">
                          <mat-option [value]="0">Select One</mat-option>
                          <mat-option *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                            {{item.refGroupDetailDescription}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>                            
                </div>
              </div>
              <div *ngIf="clientDocGroup.controls['isClientRefReady'].value == 33" >
                  <mat-label>Additional Comments:</mat-label>
                  <mat-form-field appearance="outline" class="textarea">
                    <textarea rows="3" matInput formControlName="clientRefReadyComment"></textarea>
                  </mat-form-field>
              </div>
              <div *ngIf="clientDocGroup.controls['isClientRefReady'].value == 34"> 
                  <mat-label>Reasons for Client being Non-actionable(select if applies)</mat-label>
                  <mat-radio-group  formControlName="clientNotReadyReason" style="display: flex; flex-direction: column;"  (change)="clientNotReadyReasonChange($event)" >
                      <mat-radio-button *ngFor="let item of holdReasons" [value]="item.refGroupDetailID" >
                        {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp; 
                      </mat-radio-button>                                      
                  </mat-radio-group>
                  <div *ngIf="clientDocGroup.controls['clientNotReadyReason'].value == 510">
                  <mat-label>if Other, please specify: </mat-label>
                  <mat-form-field appearance="outline" class="textarea" >
                    <textarea rows="3" matInput formControlName="clientNotReadyOtherSpecify"></textarea>
                  </mat-form-field> 
                  </div>
                  <mat-label>Additional Comments:</mat-label>
                  <mat-form-field appearance="outline" class="textarea">
                    <textarea rows="3" matInput formControlName="clientNotReadyAddlComments"></textarea>
                  </mat-form-field> 
              </div> 
  </form>

  <div fxLayout="row" fxLayout.lt-md="column" style="margin-left: 30px" fxLayoutAlign="center flex-end">
    <div fxLayout="column" style="width: 100%"  >
      <h4>Action History</h4>
        <ag-grid-angular #agGrid id="clientRefReady" style="width: 90%;"
          class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
          [rowData]="history" [animateRows]="true" 
          [pagination]="true" [paginationPageSize]="5"
          (firstDataRendered)="onFirstDataRendered($event)" (gridReady)="onGridReady($event)"
          [overlayLoadingTemplate]="overlayLoadingTemplate" [overlayNoRowsTemplate]="overlayNoRowsTemplate">
        </ag-grid-angular>
    </div>
  </div>
</div>  
